Bug 460780 - Review Request: haxe - Web programming language targeting Flash, Javascript, PHP
Summary: Review Request: haxe - Web programming language targeting Flash, Javascript, PHP
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 460779
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-31 19:10 UTC by Richard W.M. Jones
Modified: 2015-01-19 14:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-19 14:09:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora-review?


Attachments (Terms of Use)
haxe.spec (5.70 KB, text/plain)
2012-05-18 16:41 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2008-08-31 19:10:44 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/haxe.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/haxe-2.0-1.fc10.src.rpm
Description: Web programming language targeting Flash, Javascript, PHP

rpmlint says:
  haxe.i386: W: unstripped-binary-or-object /usr/bin/haxe
  haxe.i386: W: executable-stack /usr/bin/haxe

Yes indeed, we cannot strip the binaries because strip damages them.

The upstream "build system" (I use the term advisedly) is crazy.  It consists
of a lengthy script which downloads the sources from several CVS repositories
and then issues a series of commands to compile it.  So this spec file has
to build by hand (mostly copied from what Debian is doing).

Comment 1 Richard W.M. Jones 2008-09-01 22:51:51 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/haxe.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/haxe-2.0-2.fc10.src.rpm

Better method of stopping rpm from stripping the binaries.

Comment 2 Richard W.M. Jones 2008-09-02 12:51:28 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/haxe.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/haxe-2.0-2.fc10.src.rpm

* Tue Sep  2 2008 Richard W.M. Jones <rjones@redhat.com> - 2.0-4
- Prevent prelink from stripping the binaries.
- Missing BR zlib-devel.

I've also checked this builds on x86-64.

Comment 3 Richard W.M. Jones 2008-09-02 12:51:54 UTC
Ooops, ignore comment 3.

Spec URL: http://www.annexia.org/tmp/ocaml/haxe.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/haxe-2.0-4.fc10.src.rpm

* Tue Sep  2 2008 Richard W.M. Jones <rjones@redhat.com> - 2.0-4
- Prevent prelink from stripping the binaries.
- Missing BR zlib-devel.

I've also checked this builds on x86-64.

Comment 4 Richard W.M. Jones 2008-09-02 12:52:21 UTC
Erm, ignore comment 2, comment 3 is OK.

Comment 5 Peter Lemenkov 2011-01-20 20:40:15 UTC
What's the status of this ticket? I'd love to see haxe in Fedora.

Comment 6 Richard W.M. Jones 2011-01-20 22:26:33 UTC
(In reply to comment #5)
> What's the status of this ticket? I'd love to see haxe in Fedora.

Do you want to take it over?

Comment 7 Till Maas 2012-05-18 16:17:20 UTC
The spec and SRPM are not available anymore. Can you please make them available again? I would like to at least use them locally.

Comment 8 Richard W.M. Jones 2012-05-18 16:41:11 UTC
Created attachment 585450 [details]
haxe.spec

This is the last haxe.spec that I wrote.

I can't rebuild this because the instructions for building the
tarball have completely changed (source is now in SVN here:
https://code.google.com/p/haxe/source/checkout ).

Comment 9 Adam Goode 2015-01-17 22:24:19 UTC
Haxe is now at http://haxe.org/download/

It is hosted with github.

Comment 10 Richard W.M. Jones 2015-01-19 14:09:31 UTC
I'm going to close this bug.  It needs a bunch of work to make the
spec file work again with upstream haxe.  Someone needs to take
this over.


Note You need to log in before you can comment on or make changes to this bug.